package com.sundata.internalevaluation.configuration.controller;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import com.sundata.internalevaluation.configuration.model.SysInterface;
import com.sundata.internalevaluation.configuration.service.SysInterfaceService;

@RestController
@RequestMapping("/npapi")
public class SysInterfaceController {

    @Autowired
    private SysInterfaceService sysReqInterfaceService;

    /**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
    @RequestMapping("list")
    public List<SysInterface> listAll(@RequestBody SysInterface sysInterface) {
        return sysReqInterfaceService.listAll(sysInterface);
    }


    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
    @RequestMapping("getById")
    public SysInterface getById(@RequestBody SysInterface sysInterface) {
        return sysReqInterfaceService.getById(sysInterface.getId());
    }    
     
    /**
     * 新增，忽略null字段
     *
     * @param sysReqInterface 新增的记录
     * @return 返回影响行数
     */
    @RequestMapping("insert")
    public int insert(@RequestBody SysInterface sysReqInterface) {
        return sysReqInterfaceService.insertIgnoreNull(sysReqInterface);
    }    
      
    /**
     * 修改，忽略null字段
     *
     * @param sysReqInterface 修改的记录
     * @return 返回影响行数
     */
    @RequestMapping("update")
    public int update(@RequestBody SysInterface sysReqInterface) {
        return sysReqInterfaceService.update(sysReqInterface);
    }
    
    /**
     * 删除记录
     *
     * @param sysReqInterface 待删除的记录
     * @return 返回影响行数
     */
    @RequestMapping("delete")
    public int delete(@RequestBody SysInterface sysReqInterface) {
        return sysReqInterfaceService.delete(sysReqInterface);
    }
    
}