package com.sundata.internalevaluation.configuration.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import com.sundata.internalevaluation.configuration.model.SysReqRule;

@Mapper
public interface SysReqRuleMapper {

	/**
     * 查询所有记录
     *
     * @return 返回集合，没有返回空List
     */
	List<SysReqRule> listAll(SysReqRule sysReqRule);


	/**
     * 根据主键查询
     *
     * @param id 主键
     * @return 返回记录，没有返回null
     */
	SysReqRule getById(String ruleNo);

	
	/**
     * 新增，忽略null字段
     *
     * @param sysReqRule 新增的记录
     * @return 返回影响行数
     */
	int insertIgnoreNull(SysReqRule sysReqRule);

	
	/**
     * 修改，忽略null字段
     *
     * @param sysReqRule 修改的记录
     * @return 返回影响行数
     */
	int updateIgnoreNull(SysReqRule sysReqRule);
	
	/**
     * 删除记录
     *
     * @param sysReqRule 待删除的记录
     * @return 返回影响行数
     */
	int delete(SysReqRule sysReqRule);
	
}